Name:           xarchon
Version:        0.50
Release:        2%{?dist}
Summary:        Arcade board game
Group:          Amusements/Games
License:        GPL
URL:            http://xarchon.seul.org/
Source0:        http://xarchon.seul.org/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         %{name}-fonts.patch
Patch1:         %{name}-destdir.patch
Patch2:         http://ftp.debian.org/debian/pool/main/x/%{name}/%{name}_0.50-9.diff.gz
Patch3:         %{name}-0.50-extraqual.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk+-devel esound-devel libXpm-devel
BuildRequires:  desktop-file-utils ImageMagick

%description
XArchon is a chess with a twist board game. It is modelled after the golden
oldie Archon game created by Freefall Associates.


%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p0


%build
%configure
make %{?_smp_mflags}
convert data/icon.xpm %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6.gz


%changelog
* Sat May 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.50-2
- consistent use of %%{name} (everywhere).
- Add BR: libXPM-devel
- Drop NEWS from %%doc as it contains no relevant information.

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.50-1
- Pick xarchon up from Ville and submit it for Review as Ville doens't
  have the time for this.

* Tue Mar 14 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.50-0.2
- Fix build with gcc >= 3.4 (partially from Debian).
- Install icon to %%{_datadir}/icons/hicolor.

* Sat May 28 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.50-0.1
- Rebuild for FC4.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.50-0.fdr.3
- Install data into %%{_datadir}/games/xarchon.
- Remove #---- section markers.

* Sun Jun  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.50-0.fdr.2
- Spec cleanups.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.50-0.fdr.1
- Update to current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.50-1.fedora.1
- First Fedora release.
